%define po_package gedit

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary:		gEdit is a small but powerful text editor for GNOME
Name:			gedit
Version: 		2.22.0
Release: 		1
License:		GPL
Group:			Text Tools
Source0:		http://ftp.gnome.org/pub/GNOME/sources/gedit/2.8/gedit-%{version}.tar.bz2
URL:			http://gedit.sourceforge.net/
BuildRoot:		%{_tmppath}/gedit-%{version}-root

Requires(post):         desktop-file-utils
Requires(post):		scrollkeeper
Requires(post):		GConf
Requires(pre):		GConf
Requires(preun):	GConf
Requires(postun):	scrollkeeper
Requires(postun):       desktop-file-utils
BuildRequires: 		glib-devel
BuildRequires: 		pango-devel
BuildRequires: 		gtk2+-devel
BuildRequires: 		gnome-vfs
BuildRequires: 		libgnomeui-devel
BuildRequires: 		libgnomeprintui-devel
BuildRequires: 		libgnomeprint-devel
BuildRequires: 		desktop-file-utils
BuildRequires: 		aspell-devel
BuildRequires: 		gail-devel
BuildRequires: 		gtksourceview-devel >= 2.0.0 pygtksourceview-devel
BuildRequires: 		scrollkeeper gettext
BuildRequires: 		PyGTK-devel
BuildRequires: 		PyGObject-devel
BuildRequires: 		python-devel
#BuildRequires: 		gnome-python-gtksourceview
BuildRequires: 		gnome-python-desktop
BuildRequires: 		gnome-doc-utils
BuildRequires: 		which
BuildRequires: 		autoconf automake libtool
BuildRequires: 		perl-XML-Parser

Requires: 		libgnomeui
Requires: 		libgnomeprintui
Requires: 		gtksourceview >= 2.0.0 pygtksourceview
Requires: 		PyGTK
Requires: 		PyGObject
Requires: 		gnome-python-desktop

%description
gEdit is a small but powerful text editor designed specifically for
the GNOME GUI desktop.  gEdit includes a plug-in API (which supports
extensibility while keeping the core binary small), support for
editing multiple documents using notebook tabs, and standard text
editor functions.

You'll need to have GNOME and GTK+ installed to use gEdit.

%package devel
Summary: 		The files needed for developing plug-ins for the gEdit editor.
Group: 			Development/Libraries
Requires: 		%{name} = %{version}-%{release}
Requires: 		gtksourceview-devel
Requires: 		libgnomeprintui-devel
Requires: 		PyGTK-devel
Requires: 		pkg-config

%description devel
gEdit is a small but powerful text editor for the GNOME GUI desktop.
This package allows you to develop plug-ins that work within gEdit.

Install gedit-devel if you want to write plug-ins for gEdit.

%prep
%setup -n gedit-%{version} -q

%build
#autoreconf
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --disable-scrollkeeper --disable-gtk-doc --enable-python --disable-spell --libexecdir=%_libdir/gedit
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## clean up all the static libs for plugins (workaround for no -module)
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.la"`

/bin/rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gedit.schemas > /dev/null || :

# update icon themes
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gedit.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gedit.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog AUTHORS 
%{_datadir}/gedit-2
%{_datadir}/gnome/help/gedit
%{_datadir}/omf/gedit
%{_datadir}/applications/gedit.desktop
%{_mandir}/man1/*
%{_libdir}/gedit-2
%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*
%_libdir/gedit/gedit-2/gedit-bugreport.sh


%files devel
%defattr(-, root, root)
%{_includedir}/gedit-2.20
%{_libdir}/pkgconfig/gedit-2.20.pc
%{_datadir}/gtk-doc/html/gedit/

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 23 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Initial release
